package com.zcxk.service;

import com.zcxk.dto.CompanySceneInfoDto;
import com.zcxk.dto.generalView.WaterSupplyChart;
import com.zcxk.entity.DeviceEntity;
import com.zcxk.entity.SceneEntity;

import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2021/3/19 11:28
 */
public interface AppReportMonitorService {

    /**
     * 根据场景类型和公司id查询场景
     * @param sceneTypeName
     * @param companyOrgId
     * @return
     */
    List<SceneEntity> getSceneByCompany( String sceneTypeName,Integer companyOrgId);

    CompanySceneInfoDto getSceneByCompanyBySearch(String sceneTypeName, String condition);

    List<DeviceEntity> getDeviceByCompany(String typeName,Integer companyOrgId);

    CompanySceneInfoDto getDeviceByCompanyBySearch(String typeName, String condition);

    List<WaterSupplyChart> waterEnergyConsumption(Integer sceneId );

    List<WaterSupplyChart> getWaterLevelForWaterSource(Integer sceneId );




}
